Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024805
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-09-20 13:092013-10-17 18:28
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revisioncab1f7bb656d
ProjectionnoneETAnoneTarget VersionRMP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP26.1SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024805: Fin_payment_scheduledetail is not properly generated

DescriptionFin_payment_scheduledetail is not properly generated
Steps To Reproduce1. create a ticket
2. set a to be returned and mark to be invoiced
3. paid on credit
4. go to the backend to the sales invoce already created

GO to database and verify that the amount of the Fin_payment_scheduledetail is positive instead of negative
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024266RMP25 closedmarvintm Impossible to add payment to a return receipt paid with credit 

-  Notes
(0061317)
hgbot (developer)
2013-09-20 13:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cab1f7bb656d45c126e1c258d3e5bdac5fd750c1
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Sep 20 13:44:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^]

Fixed issue 24805. In case of returns paid on credit, the generated payment schedule detail will be negative

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0061319)
guilleaer (developer)
2013-09-20 15:12

verified
(0061471)
hgbot (developer)
2013-09-30 09:47

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: cab1f7bb656d45c126e1c258d3e5bdac5fd750c1
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Sep 20 13:44:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^]

Fixed issue 24805. In case of returns paid on credit, the generated payment schedule detail will be negative

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0061479)
guilleaer (developer)
2013-09-30 12:49

reclosed
(0061694)
hgbot (developer)
2013-10-16 13:37

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: cab1f7bb656d45c126e1c258d3e5bdac5fd750c1
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Sep 20 13:44:58 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^]

Fixed issue 24805. In case of returns paid on credit, the generated payment schedule detail will be negative

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0061781)
guilleaer (developer)
2013-10-17 18:28

reclosed

- Issue History
Date Modified Username Field Change
2013-09-20 13:09 jecharri New Issue
2013-09-20 13:09 jecharri Assigned To => marvintm
2013-09-20 13:09 jecharri Triggers an Emergency Pack => No
2013-09-20 13:14 jecharri Relationship added related to 0024266
2013-09-20 13:45 hgbot Checkin
2013-09-20 13:45 hgbot Note Added: 0061317
2013-09-20 13:45 hgbot Status new => resolved
2013-09-20 13:45 hgbot Resolution open => fixed
2013-09-20 13:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^]
2013-09-20 15:12 guilleaer Review Assigned To => guilleaer
2013-09-20 15:12 guilleaer Note Added: 0061319
2013-09-20 15:12 guilleaer Status resolved => closed
2013-09-20 15:12 guilleaer Fixed in Version => RMP27
2013-09-30 09:47 hgbot Checkin
2013-09-30 09:47 hgbot Note Added: 0061471
2013-09-30 09:47 hgbot Status closed => resolved
2013-09-30 09:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^]
2013-09-30 12:49 guilleaer Note Added: 0061479
2013-09-30 12:49 guilleaer Status resolved => closed
2013-10-16 13:37 hgbot Checkin
2013-10-16 13:37 hgbot Note Added: 0061694
2013-10-16 13:37 hgbot Status closed => resolved
2013-10-16 13:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/cab1f7bb656d45c126e1c258d3e5bdac5fd750c1 [^]
2013-10-17 18:28 guilleaer Note Added: 0061781
2013-10-17 18:28 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker